Package org.eclipse.jdt.core.eval

## Interface IGlobalVariable

    public interface IGlobalVariable

A global variable declared in an evaluation context.

`IEvaluationContext.newVariable` can be used to obtain an instance.

See Also:
  `IEvaluationContext.newVariable(String, String, String)`
Restriction:
  This interface is not intended to be implemented by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getInitializer()` Returns the initializer of this global variable.
`String` `getName()` Returns the name of this global variable.
`String` `getTypeName()` Returns the fully qualified name of the type of this global variable, or its simple representation if it is a primitive type (`int`, `boolean`, etc.).

### Method Detail

#### getInitializer

    String getInitializer()

Returns the initializer of this global variable. The syntax for an initializer corresponds to VariableInitializer (JLS2 8.3).

Returns:
  the initializer expression, or `null` if this global does not have an initializer

#### getName

    String getName()

Returns the name of this global variable.

Returns:
  the name of the global variable

#### getTypeName

    String getTypeName()

Returns the fully qualified name of the type of this global variable, or its simple representation if it is a primitive type (`int`, `boolean`, etc.).

The syntax for a type name corresponds to Type in Field Declaration (JLS2 8.3).

Returns:
  the type name